routes/web.php
<?php

use App\Http\Controllers\ChoicesController;
use App\Http\Controllers\ConfigController;
use App\Http\Controllers\RecipeController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\PagesController;
use Illuminate\Support\Facades\Route;
use App\Models\Plan;
use App\Models\User;
use App\Models\Charge;
use App\Models\Subscription;
use App\Models\StoreLog;
use Illuminate\Http\Request;




// user panel
route::middleware(['verify.shopify'])->group(function () {

    // index page
    Route::get('/', function () {
        return view('welcome');
    })->middleware(['billable'])->name('home');

    // app - plan page
    Route::get('/plan', function () {
        return view('pages.plan');
    })->name('plan');

    // plan post table
    Route::get('/plan/{type}', [ConfigController::class, 'storePlan'])->name('plan.store');

    // app - index page
    Route::get('/dashboard', [ConfigController::class, 'storeDashboard'])->name('dashboard');



    Route::get('app/billing/process/{id}', function (Request $request, $id) {
        // Get the shop information from the query string
        $shop = User::where('name', '=', $request->shop)->first();
        // get authenticated shop data
        $plans = Plan::where('id', $id)->first();

        $startDate = new DateTime();
        $oneMonthAfterDate = $startDate->add(new DateInterval('P1M'));
        $endDate = $oneMonthAfterDate->format('Y-m-d');

        $subscription = Subscription::where('user_id', '=', $shop->id)->orderBy('id', 'desc')->get();
        if (count($subscription) > 0) {
            StoreLog::updateOrCreate(
                [
                    'user_id' => $shop->id,
                    'name' => 'Plan',
                    'value' => 'An <span class="text-primary">existing</span> plan has been successfully <span class="text-success">upgraded </span> from <span class="text-info">' . $subscription[0]->plan->name . '</span> to <span class="text-info">' . $plans->name . '</span>.',
                    'created_at' => now()->format('H:i:s'),
                ]
            );
        } else {
            StoreLog::updateOrCreate(
                [
                    'user_id' => $shop->id,
                    'name' => 'Plan',
                    'value' => 'A <span class="text-success">new</span> plan named <span class="text-info">' . $plans->name . '</span> has been successfully <span class="text-primary">activated</span>.',
                    'created_at' => now()->format('H:i:s'),
                ]
            );
        }


        Subscription::updateOrCreate(
            [
                'plan_id' => $plans->id,
                'user_id' => $shop->id,
                'start_date' => new DateTime(),
                'end_date' => $endDate,
                'status' => 'active',
            ]
        );

        Charge::updateOrCreate(
            [
                'charge_id' => $request->charge_id,
                'test' => $plans->test,
                'status' => 1,
                'name' => $plans->name,
                'terms' => $plans->terms,
                'type' => $plans->type,
                'price' => $plans->price,
                'interval' => $plans->interval,
                'capped_amount' => $plans->capped_amount,
                'trial_days' => $plans->trial_days,
                'billing_on' => new DateTime(),
                'trial_ends_on' => null,
                'cancelled_on' => null,
                'expires_on' => $endDate,
                'plan_id' => $plans->id,
                'description' => null,
                'reference_charge' => null,
                'user_id' => $shop->id,
            ]
        );


        return view('pages.charges');
    });

    Route::get('/upload-page', [ConfigController::class, 'uploadLiquidPage'])->name('upload.page');


    Route::resource('/choices', ChoicesController::class)->except(['store', 'update', 'destroy']);
    Route::resource('/recipes', RecipeController::class)->except(['store', 'update', 'destroy']);

    Route::get('/pages/contact-support', [PagesController::class, 'contactSupportPage'])->name('pages.support'); // contact support page
    Route::get('/pages/manage-plan', [PagesController::class, 'managePlanPage'])->name('pages.manageplan'); // manage plan page
    Route::get('/pages/setting', [PagesController::class, 'manageUserSettings'])->name('pages.settings'); // manage setting page
    // Route::get('/pages/configuration', [PagesController::class, 'layoutConfigurationSettings'])->name('pages.config.layout'); // manage layouts

});

// Route::get('/authentication', [AdminController::class, 'authenticate'])->name('authenticate');

// admin panel
Route::group(['prefix' => 'admin'], function () {
    Auth::routes();

    Route::get('/', [AdminController::class, 'index'])->name('admin.index'); // index page

    Route::group(['middleware' => 'auth'], function () {

        Route::get('/home', [AdminController::class, 'storeDashboard'])->name('admin.dashboard'); // dashboard

        // users
        Route::get('/stores/list', [AdminController::class, 'getUsersList'])->name('admin.users.list');
        Route::get('/stores/logs/{id}', [AdminController::class, 'getUsersLogById'])->name('admin.users.storelog');

        // config
        Route::group(['prefix' => 'config'], function () {
            Route::get('/view', [AdminController::class, 'getConfigData'])->name('admin.config.view');
            Route::put('/{config}', [AdminController::class, 'updateConfigData'])->name('admin.config.update');
        });

        // plans
        Route::group(['prefix' => 'plans'], function () {
            Route::get('/index', [AdminController::class, 'getAllPlans'])->name('admin.plans.index');
            Route::get('/{plan}', [AdminController::class, 'getPlanData'])->name('admin.plans.edit');
            Route::put('/{plan}', [AdminController::class, 'updatePlanData'])->name('admin.plans.update');
        });

    });
});

Route::get('/403-page', [AdminController::class, 'accessDeniedPage'])->name('admin.page.denied'); // access denied page


Route::post('/choices', [ChoicesController::class, 'store'])->name('choices.store');
Route::put('/choices/{id}', [ChoicesController::class, 'update'])->name('choices.update');
Route::delete('/choices/{id}', [ChoicesController::class, 'destroy'])->name('choices.destroy');

Route::post('/recipes', [RecipeController::class, 'store'])->name('recipes.store');
Route::put('/recipes/{id}', [RecipeController::class, 'update'])->name('recipes.update');
Route::delete('/recipes/{id}', [RecipeController::class, 'destroy'])->name('recipes.destroy');

resources/views/includes/footer.blade.php
<div class="footer py-4 d-flex flex-lg-column" id="kt_footer">
    <div class="container-xxl d-flex flex-column flex-md-row align-items-center justify-content-center">
        <div class="text-dark order-2 order-md-1">
            <span class="text-muted fw-bold me-1">2023©</span>
            <a href="https://www.webcreta.com/" target="_blank" class="text-gray-800 text-hover-primary">Webcreta Technologies
                Pvt. Ltd.</a>
        </div>
    </div>
</div>


<div id="kt_scrolltop" class="scrolltop" data-kt-scrolltop="true">
    <span class="svg-icon">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
            <rect opacity="0.5" x="13" y="6" width="13" height="2" rx="1"
                transform="rotate(90 13 6)" fill="black"></rect>
            <path
                d="M12.5657 8.56569L16.75 12.75C17.1642 13.1642 17.8358 13.1642 18.25 12.75C18.6642 12.3358 18.6642 11.6642 18.25 11.25L12.7071 5.70711C12.3166 5.31658 11.6834 5.31658 11.2929 5.70711L5.75 11.25C5.33579 11.6642 5.33579 12.3358 5.75 12.75C6.16421 13.1642 6.83579 13.1642 7.25 12.75L11.4343 8.56569C11.7467 8.25327 12.2533 8.25327 12.5657 8.56569Z"
                fill="black"></path>
        </svg>
    </span>
</div>

resources/views/includes/head.blade.php
    <base href="">
    <title>Recipe App - WebCreta Theme</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta charset="utf-8" />
    <link rel="shortcut icon" href="{{ asset($config->favicon) }}" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap"
        rel="stylesheet">
    <link href="{{ asset('assets/plugins/custom/fullcalendar/fullcalendar.bundle.css') }}" rel="stylesheet"
        type="text/css" />
    <link href="{{ asset('assets/plugins/global/plugins.bundle.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/css/style.bundle.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/css/wc-custom.css') }}" rel="stylesheet" type="text/css" />

    <script src="https://kit.fontawesome.com/a4f8ae2a61.js" crossorigin="anonymous"></script>

resources/views/includes/header-auth-admin.blade.php
<div id="kt_header" class="header align-items-stretch" data-kt-sticky="true" data-kt-sticky-name="header"
    data-kt-sticky-offset="{default: '200px', lg: '300px'}" style="border-bottom: 1px solid #e4e4e4;">
    <div class="container-fluid px-10 d-flex align-items-center border border-bottom">
        <div class="d-flex topbar align-items-center d-lg-none ms-n2 me-3" title="Show aside menu">
            <div class="btn btn-icon btn-active-light-primary w-30px h-30px w-md-40px h-md-40px"
                id="kt_header_menu_mobile_toggle">
                <span class="svg-icon svg-icon-2x">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                        fill="none">
                        <path d="M21 7H3C2.4 7 2 6.6 2 6V4C2 3.4 2.4 3 3 3H21C21.6 3 22 3.4 22 4V6C22 6.6 21.6 7 21 7Z"
                            fill="black" />
                        <path opacity="0.3"
                            d="M21 14H3C2.4 14 2 13.6 2 13V11C2 10.4 2.4 10 3 10H21C21.6 10 22 10.4 22 11V13C22 13.6 21.6 14 21 14ZM22 20V18C22 17.4 21.6 17 21 17H3C2.4 17 2 17.4 2 18V20C2 20.6 2.4 21 3 21H21C21.6 21 22 20.6 22 20Z"
                            fill="black" />
                    </svg>
                </span>
            </div>
        </div>
        <div class="header-logo me-5 me-md-10 flex-grow-1 flex-lg-grow-0">
            <a href="{{ route('admin.dashboard') }}">
                <img alt="Logo" src="{{ asset('assets/media/logos/logo-demo3.1.png') }}"
                    class="logo-default h-25px" />
                <img alt="Logo" src="{{ asset('assets/media/logos/logo-demo3.1.png') }}"
                    class="logo-sticky h-25px" />
            </a>
        </div>
        <div class="d-flex align-items-stretch justify-content-between flex-lg-grow-1">
            <div class="d-flex align-items-stretch" id="kt_header_nav">
                <div class="header-menu align-items-stretch" data-kt-drawer="true" data-kt-drawer-name="header-menu"
                    data-kt-drawer-activate="{default: true, lg: false}" data-kt-drawer-overlay="true"
                    data-kt-drawer-width="{default:'200px', '300px': '250px'}" data-kt-drawer-direction="start"
                    data-kt-drawer-toggle="#kt_header_menu_mobile_toggle" data-kt-swapper="true"
                    data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_body', lg: '#kt_header_nav'}">
                    <div class="menu menu-lg-rounded menu-column menu-lg-row menu-state-bg menu-title-gray-700 menu-state-icon-primary menu-state-bullet-primary menu-arrow-gray-400 fw-bold my-5 my-lg-0 align-items-stretch"
                        id="#kt_header_menu" data-kt-menu="true">
                        <div class="menu-item me-lg-4">
                            <a class="btn btn-sm py-3 {{ request()->is('*recipes*') ? 'btn-dark' : 'btn-secondary' }}"
                                href="{{ route('recipes.index') }}">
                                <span class="menu-title">{{ __('Recipe') }}</span>
                                <span class="menu-arrow d-lg-none"></span>
                            </a>
                        </div>
                        <div class="menu-item me-lg-4">
                            <a class="btn btn-sm py-3 {{ request()->is('*choices*') ? 'btn-dark' : 'btn-secondary' }}"
                                href="{{ route('choices.index') }}">
                                <span class="menu-title">{{ __('Recipe Choice') }}</span>
                                <span class="menu-arrow d-lg-none"></span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="d-flex align-items-stretch flex-shrink-0">
                <div class="topbar d-flex align-items-stretch flex-shrink-0">
                    <div class="d-flex align-items-center me-n3 ms-1 ms-lg-3" id="kt_header_user_menu_toggle">
                        <div class="btn btn-icon btn-active-light-primary w-30px h-30px w-md-40px h-md-40px"
                            data-kt-menu-trigger="click" data-kt-menu-attach="parent"
                            data-kt-menu-placement="bottom-end">
                            <i class="fas fa-user-circle text-black fs-1"></i>
                        </div>
                        <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg menu-state-primary fw-bold py-4 fs-6 w-275px"
                            data-kt-menu="true">
                            <div class="menu-item px-3">
                                <div class="menu-content d-flex align-items-center px-3">
                                    <div class="symbol symbol-50px me-5">
                                        <i class="fas fa-user-circle fs-1"></i>
                                    </div>
                                    <div class="d-flex flex-column">
                                        <div class="fw-bolder d-flex align-items-center fs-8">
                                            Test Name
                                        </div>
                                        <a href="#" class="fw-bold text-muted text-hover-primary fs-8">Store</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

resources/views/includes/header.blade.php
@php
    $shop = Auth::user();
    $subscription = App\Models\Subscription::where('user_id', '=', $shop->id)
        ->orderBy('id', 'desc')
        ->first();
    
    if ($subscription) {
        $planConfig = $subscription->plan->plan_config;
        $totalRecipes = count($shop->recipes);
        $totalChoices = count($shop->choices);
        $exceedRecipe = $totalRecipes == (int) $planConfig->number_recipe_allow ? true : false;
        $exceedChoice = $totalRecipes == (int) $planConfig->number_choice_allow ? true : false;
    }
    
@endphp
<div id="kt_header" class="header align-items-stretch" data-kt-sticky="true" data-kt-sticky-name="header"
    data-kt-sticky-offset="{default: '200px', lg: '300px'}" style="border-bottom: 1px solid #e4e4e4;">
    <div class="container-fluid px-10 d-flex align-items-center border border-bottom">
        <div class="d-flex topbar align-items-center d-lg-none ms-n2 me-3" title="Show aside menu">
            <div class="btn btn-icon btn-active-light-primary w-30px h-30px w-md-40px h-md-40px"
                id="kt_header_menu_mobile_toggle">
                <span class="svg-icon svg-icon-2x">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                        fill="none">
                        <path d="M21 7H3C2.4 7 2 6.6 2 6V4C2 3.4 2.4 3 3 3H21C21.6 3 22 3.4 22 4V6C22 6.6 21.6 7 21 7Z"
                            fill="black" />
                        <path opacity="0.3"
                            d="M21 14H3C2.4 14 2 13.6 2 13V11C2 10.4 2.4 10 3 10H21C21.6 10 22 10.4 22 11V13C22 13.6 21.6 14 21 14ZM22 20V18C22 17.4 21.6 17 21 17H3C2.4 17 2 17.4 2 18V20C2 20.6 2.4 21 3 21H21C21.6 21 22 20.6 22 20Z"
                            fill="black" />
                    </svg>
                </span>
            </div>
        </div>
        <div class="header-logo me-5 me-md-10 flex-grow-1 flex-lg-grow-0">
            <a href="{{ route('dashboard') }}">
                <img alt="Logo" src="{{ asset($config->logo) }}" class="logo-default h-25px" />
                <img alt="Logo" src="{{ asset($config->logo) }}" class="logo-sticky h-25px" />
            </a>
        </div>
        <div class="d-flex align-items-stretch justify-content-between flex-lg-grow-1">
            <div class="d-flex align-items-stretch" id="kt_header_nav">
                <div class="header-menu align-items-stretch" data-kt-drawer="true" data-kt-drawer-name="header-menu"
                    data-kt-drawer-activate="{default: true, lg: false}" data-kt-drawer-overlay="true"
                    data-kt-drawer-width="{default:'200px', '300px': '250px'}" data-kt-drawer-direction="start"
                    data-kt-drawer-toggle="#kt_header_menu_mobile_toggle" data-kt-swapper="true"
                    data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_body', lg: '#kt_header_nav'}">
                    <div class="menu menu-lg-rounded menu-column menu-lg-row menu-state-bg menu-title-gray-700 menu-state-icon-primary menu-state-bullet-primary menu-arrow-gray-400 fw-bold my-5 my-lg-0 align-items-stretch"
                        id="#kt_header_menu" data-kt-menu="true">

                        <div class="menu-item me-lg-4">
                            <a class="btn btn-sm py-3 {{ request()->is('*recipes*') ? 'btn-dark' : 'btn-secondary' }}"
                                href="{{ route('recipes.index') }}">
                                <span class="menu-title">{{ __('Recipe') }}</span>
                                <span class="menu-arrow d-lg-none"></span>
                            </a>
                        </div>
                        <div class="menu-item me-lg-4">
                            <a class="btn btn-sm py-3 {{ request()->is('*choices*') ? 'btn-dark' : 'btn-secondary' }}"
                                href="{{ route('choices.index') }}">
                                <span class="menu-title">{{ __('Recipe Choice') }}</span>
                                <span class="menu-arrow d-lg-none"></span>
                            </a>
                        </div>
                        {{-- <div class="menu-item me-lg-4">
                            <a class="btn btn-sm py-3 {{ request()->is('*configuration*') ? 'btn-dark' : 'btn-secondary' }}"
                                href="{{ route('pages.config.layout') }}">
                                <span class="menu-title">{{ __('Configuration') }}</span>
                                <span class="menu-arrow d-lg-none"></span>
                            </a>
                        </div> --}}
                    </div>
                </div>
            </div>
            <div class="d-flex align-items-stretch flex-shrink-0">
                <div class="topbar d-flex align-items-stretch flex-shrink-0">
                    <div class="d-flex align-items-center me-n3 ms-1 ms-lg-3" id="kt_header_user_menu_toggle">
                        <div class="btn btn-icon btn-active-light-primary w-30px h-30px w-md-40px h-md-40px"
                            data-kt-menu-trigger="click" data-kt-menu-attach="parent"
                            data-kt-menu-placement="bottom-end">
                            <i class="fas fa-user-circle text-gray-700 fs-1"></i>
                        </div>
                        <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg menu-state-primary fw-bold py-4 fs-6 w-275px"
                            data-kt-menu="true">
                            <div class="menu-item px-3">
                                <div class="menu-content d-flex align-items-center px-3">
                                    <div class="symbol symbol-50px me-5">
                                        <i class="fas fa-user-circle fs-1"></i>
                                    </div>
                                    <div class="d-flex flex-column">
                                        <div class="fw-bolder d-flex align-items-center fs-8">
                                            {{ Auth::user()->name }}
                                        </div>
                                        <a href="#" class="fw-bold text-muted text-hover-primary fs-8">Store</a>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="d-flex align-items-center me-n3 ms-1 ms-lg-3" id="kt_header_user_menu_toggle">
                        <div class="btn btn-icon btn-active-light-primary w-30px h-30px w-md-40px h-md-40px"
                            data-kt-menu-trigger="click" data-kt-menu-attach="parent"
                            data-kt-menu-placement="bottom-end">
                            <i class="fa-solid fa-ellipsis text-gray-700 fs-1"></i>
                        </div>
                        <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg-light-primary fw-semibold w-200px py-3"
                            data-kt-menu="true" style="">
                            <div class="menu-item px-3">
                                <div class="menu-content text-muted pb-2 px-3 fs-7 text-uppercase">
                                    Pages
                                </div>
                            </div>

                            <div class="menu-item px-3">
                                <a href="{{ route('pages.support') }}" class="menu-link px-3">
                                    Contact Support
                                </a>
                            </div>

                            <div class="menu-item px-3">
                                <a href="{{ route('pages.manageplan') }}" class="menu-link flex-stack px-3">
                                    Manage Plan
                                </a>
                            </div>

                            {{-- <div class="menu-item px-3">
                                <a href="#" class="menu-link px-3">
                                    Generate Bill
                                </a>
                            </div>

                            <div class="menu-item px-3" data-kt-menu-trigger="hover"
                                data-kt-menu-placement="right-end">
                                <a href="#" class="menu-link px-3">
                                    <span class="menu-title">Subscription</span>
                                    <span class="menu-arrow"></span>
                                </a>

                                <div class="menu-sub menu-sub-dropdown w-175px py-4">
                                    <div class="menu-item px-3">
                                        <a href="#" class="menu-link px-3">
                                            Plans
                                        </a>
                                    </div>

                                    <div class="menu-item px-3">
                                        <a href="#" class="menu-link px-3">
                                            Billing
                                        </a>
                                    </div>

                                    <div class="menu-item px-3">
                                        <a href="#" class="menu-link px-3">
                                            Statements
                                        </a>
                                    </div>

                                    <div class="separator my-2"></div>

                                    <div class="menu-item px-3">
                                        <div class="menu-content px-3">
                                            <label class="form-check form-switch form-check-custom form-check-solid">
                                                <input class="form-check-input w-30px h-20px" type="checkbox"
                                                    value="1" checked="checked" name="notifications">

                                                <span class="form-check-label text-muted fs-6">
                                                    Recuring
                                                </span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div> --}}

                            <div class="menu-item px-3 my-1">
                                <a href="{{ route('pages.settings') }}" class="menu-link px-3">
                                    Settings
                                </a>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

resources/views/includes/script.blade.php
<script src="{{ asset('assets/plugins/global/plugins.bundle.js') }}"></script>
<script src="{{ asset('assets/js/scripts.bundle.js') }}"></script>
<script src="{{ asset('assets/plugins/custom/fullcalendar/fullcalendar.bundle.js') }}"></script>
<script src="{{ asset('assets/js/custom/widgets.js') }}"></script>
<script src="{{ asset('assets/js/custom/apps/chat/chat.js') }}"></script>
<script src="{{ asset('assets/js/custom/modals/create-app.js') }}"></script>
<script src="{{ asset('assets/js/custom/modals/upgrade-plan.js') }}"></script>

<script src="{{ asset('assets/js/custom/search/lists.js') }}"></script>
<script src="{{ asset('assets/plugins/custom/datatables/datatables.bundle.js') }}"></script>

<script src="{{ asset('assets/plugins/custom/ckeditor/ckeditor-classic.bundle.js') }}"></script>


@yield('scripts')

resources/views/includes/toolbar.blade.php
@yield('toolbar')